
# UserProfiles::loadUsername 

### Usage

> ?User UserProfiles::loadUsername(string $username, [ bool $is_deleted = false ])

### Description

> Load by username

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
username | Yes | string |
is_deleted | No | bool |

### Return
> ?User 
### See Also

* [checkAuth()](checkauth)
* [create()](create)
* [isDemo()](isdemo)
* [loadUuid()](loaduuid)
* [parseFullName()](parsefullname)
* [remove()](remove)
* [update()](update)
* [updateAsAdmin()](updateasadmin)


